Web App Builder Dev Error - socket: <10022>

408
11
02-09-2018 08:51 AM
KimberlyGraham1
New Contributor III

Went to upgrade to 2.7 and am getting an error as soon as I open startup (attached).   If I press a key to continue it just closes.  I haven't been able to find anyone else with this error..... any ideas?  Thanks!

0 Kudos
11 Replies
RobertScheitlin__GISP
MVP Esteemed Contributor

Kimberly,

   So this is a new 2.7 install? Did you ever get the screen where is asked you for your portal url?

0 Kudos
KimberlyGraham1
New Contributor III

Sorry, should have given more info in original question.  The error was from startup on 2.6 to download an app before beginning the upgrade to 2.7.  

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Kimberly,

  Did you install 2.6 and 2.7 in different folders on your machine?

0 Kudos
KimberlyGraham1
New Contributor III

I keep all versions in folders that are housed in the same folder.  

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

OK, I was wanting to make sure you did not attempt to overwrite the same folder. Hmm... So your 2.6 worked fine until when?

0 Kudos
KimberlyGraham1
New Contributor III

It worked fine last Friday when making a few changes.  

 

My Firewall is off and we've had no changes to anti-virus since then - when googling I found this error in other applications can be related to those sorts of issues. 

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Have you looked in the WAB appbuilder.log?

[install dir]\server\logs\appbuilder.log

0 Kudos
KimberlyGraham1
New Contributor III

Just did, there is nothing from today in there and nothing unusual from my last log in.

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Very Strange. But it is not necessary to be able to open the 2.6 version in order to upgrade to 2.7. You seem to be using the manual method of upgrading apps by importing them one by one from the exported zip. The better way is to use the cmd line upgrade ability.

Upgrade apps—Web AppBuilder for ArcGIS (Developer Edition) | ArcGIS for Developers